curl --request GET \
--url https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users \
--header 'X-Eflow-Api-Key: <api-key>'import requests
url = "https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users"
headers = {"X-Eflow-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};
fetch('https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"users": [
{
"network_affiliate_user_id": 17,
"network_id": 1,
"network_affiliate_id": 1,
"first_name": "Bob",
"last_name": "Smith",
"email": "my.everflow@gmail.com",
"title": "",
"work_phone": "9655433513",
"cell_phone": "",
"instant_messaging_id": 0,
"instant_messaging_identifier": "",
"language_id": 1,
"timezone_id": 75,
"currency_id": "USD",
"account_status": "active",
"relationship": {
"affiliate_account_status": "active"
}
}
]
}List Affiliate Users
Authorizations
The Everflow API key generated from the Control Center > Security.
Path Parameters
The ID of the affiliate whose users you want to fetch.
Query Parameters
Include additional related data in the response. Multiple relationships can be supplied by repeating the relationship query parameter. Supported values: logins (includes the users' list of logins), api (includes the users' API key and whitelisted IPs), affiliate_status (includes the status of the affiliate to which the user belongs), customizations (includes the users' customizations).
affiliate_status populates relationship.affiliate_account_status (always returned, whether requested or not) and customizations populates relationship.customization (singular). An unrecognised value is ignored.
logins, api, affiliate_status, customizations Response
List of affiliate users.
Show child attributes
Show child attributes
Was this page helpful?
